立即注册 登录
晓东CAD家园-论坛 返回首页

st788796的个人空间 http://bbs.xdcad.net/?10108 [收藏] [复制] [分享] [RSS]

留言板

facelist doodle涂鸦板

您需要登录后才可以留言 登录 | 立即注册


/db_自贡黄明儒_ 2019-5-22 10:57
在excel VBA中使用Dmin,假如不在excel表中写明条件,如何在vba中来写这个条件Range("H1:I2")?
Sub tt()
    a = WorksheetFunction.DMin(Range("A1:F9"), Range("E1"), Range("H1:I2"))
End Sub
st788796 2019-3-28 17:44
论坛上有的
hphkjz 2019-3-26 13:37
大哥能帮我个忙吗,有时候甲方今天给我发一个CAD图纸,明天有发了一个CAD图纸,只是在今天的CAD图纸上稍作了些改动,但是图纸的内容好多啊,我要查询好长时间才能检查出哪个地方有变动了。
大哥能不能我帮我设计个LISP程序,让电脑自动的把不同处标识出来,然后索引到外面,让人一目了然就清楚了哪里出现了变动。这个变动包括(颜色、形状、文字等等),标识最好是两个不同的地方都画上圆圈,并引出两条线,写上此处不同。
usbfans 2017-10-24 00:49
(defun XD::Math:Int->Hex (n / lv rv lc rc),第一行里的::和:分别是啥意思?括号里的参数是啥意思?给红包,私信我。
程群学 2017-3-18 05:58
请看 http://t.cn/RxlBX7X (网址)
**知法犯法.绑架善良民众,关注:数千位善良民众受**..
sunshinejwt 2016-12-20 22:50
我刚进晓东CAD家园,在“不关闭其他图层,复制指点图层上的东西
- 本文出自晓东CAD家园-论坛,原文地址:http://bbs.xdcad.net/thread-672619-1-1.html”帖子里看到了你写的LISP,很好用。对改进提了一点建议,希望你能看一下。
xiejeff2008 2016-8-31 20:45
能Q一下您吗?订制一个程序,我QQ号794511351,谢谢!
yuqin679 2016-7-26 19:37
(defun c:test()
  (setq retv(zi "F:\\lisp\\yh.xlsx" "BOM" "A4:E6")))
  (defun zi(cxcelFile sheetName RangeStr / xl wbs wh shs sh rg cs vvv nms nm ttt)
    (vl-load-com)
    (setq xl (vlax-get-or-create-object "excel.Application"))
    (setq wbs (vlax-get-property xl "WorkBooks"))
    (setq wb (vlax-invoke-method wbs "open" "F:\\lisp\\yh.xlsx"))
    (setq shs (vlax-get-property wb "Sheets"))
    (setq sh (vlax-get-property shs "Item" "sheet1"))
    (setq rg (vlax-get-property sh "range" "B1" ))
    (vlax-put-property rg "value" "您好")
  
    (vlax-invoke-method wb "Save")
    (vlax-invoke-method wb "Close")
    (vlax-invoke-method xl "Quit")
    (vlax-release-object xl)
   
    )


你好!能赐教一下变成单元格内容
(vlax-put-property rg "value" "您好")
  你说:要 variant     是怎么改?
你好坛主 2016-2-27 15:10
大神求救“批量标注Line及Pline各段长度”怎么我加载提示过期?还有时间限制吗?
lzhiu 2016-2-18 16:29
QQ381870449 申请加您为好友,求帮助 CAD相关  谢谢!
暮雨寒阳 2015-5-30 22:33
大神,你组合的线上、界内和界外选取的代码怎么加载实现的,快捷命令有吗?有些函数是哪里来的?
清风明月10 2015-3-5 11:12
朋友,你说晓东的工具函数有没有时间限制,我记得好象有,但这样我们这些用了它的插件不是也有时间限制了吗?万一他的网站关闭,我们的插件就作废了,这不是很痛苦吗?既然晓东工具函数是免费的,就不应设时间限制啊!你能劝他别设时间限制了吗?否则对它的工具箱一点信心都没有
shiyuhuacool 2015-2-2 00:44
学习中
st788796 2014-11-12 08:45
有问题就到论坛发帖
hzj268 2014-11-12 08:43
我现在常用的几个lsp都是你提供的, 在此感谢.
st788796 2014-10-28 16:30
什么拓扑检查?
gjb007 2014-10-28 16:18
你好,请问你有在cad方面进行拓扑检查的小程序吗?
/db_自贡黄明儒_ 2014-10-22 12:58
构造文字长度时,后面有空格不计入计算,怎么解决?
lff763 2014-10-17 10:34
例:
输入A点高:10
确定A点:
输入下一点(倾角(Q)、斜长(X)、平距(P)、标高(B)方位(F)):B
输入标高:40
输入下一点(倾角(Q)、斜长(X)、平距(P)、标高(B)方位(F)):[这时候两点标高已知,加上鼠标的移动的平距(鼠标位移的长度就是一个动态的平距长度),这时希望会在鼠标旁分别显示倾角、平距、方位角值(标高差和平距就可确定倾角),"标高差和平距就可确定倾角”]
输入下一点(倾角(Q)、斜长(X)、平距(P)、标高(B)方位(F)):Q
输入倾角:60
输入下一点(倾角(Q)、斜长(X)、平距(P)、标高(B)方位(F)):F(或者直接用鼠标确定方位)
输入方位:350
lff763 2014-10-17 10:11
跪谢你了:你给写的只能自动绘制出线段(但线段的方位是固定的,希望线段的方位可以输入方位角来确定,或者线段的方位是随着鼠标移动的方位)。同时希望这个程序能满足下面两个图片上的要求。请再辛苦一下,给修改一下。http://bbs.xdcad.net/thread-676446-1-1.html
12下一页

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2021-1-17 14:18 , Processed in 0.070829 second(s), 5 queries , Gzip On, WinCache On.

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

返回顶部